---
title: "Usage"
draft: false
description: "Using kbdemu"
---
{{< appveyor-ci project="kbdemu" projectID="km2f1wiy7enuh6il" >}}
{{< minio-s3 project="kbdemu" >}}

This page assumes you have already installed KbdEmu. If not, follow the installation
instructions on the installation page.

{{< button text="Installation" link="../installation" color="blue">}}

### Configs

KbdEmu uses TOML configs to tell it what to do. This is the example config which
contains all supported features:

```toml
[[action]]
type = "var"
action = "set key to z"

 [[action]]
type = "kbd"
action = "hold key @key@"

 [[action]]
type = "misc"
action = "wait 1 second"

 [[action]]
type = "kbd"
action = "release key @key@"

 [[action]]
type = "kbd"
action = "press space"

 [[action]]
type = "kbd"
action = "type AaBbCcDdEeFfGgHhIiJjKkLlMmNnOoPpQqRrSsTtUuVvWwXxYyZz"

 [[action]]
type = "mse"
action = "scroll up 5"

 [[action]]
type = "mse"
action= "right click"

 [[action]]
type = "mse"
action = "move to {0,0}"

 [[action]]
type = "misc"
action = "show message Actions complete!"
```

As you can see, the configs are pretty simple. Here is a list of all the currently
supported features:
{{<table "f6 w-100 mw8 center">}}
| Var Type          | Misc Type         | Kbd Type     | Mse Type       |
|-------------------|-------------------|--------------|----------------|
| Setting Variables | Delays            | Hold Keys    | Scrolling      |
|                   | Showing Messages  | Release Keys | Mouse Clicks   |
|                   |                   | Type Strings | Mouse Movement |
{{</table>}}
